<?php

// assigned
$msgList = (isset($_['msgList']) ? $_['msgList'] : array());
$dematpayslipConfigList= (isset($_['dematpayslipConfigList']) ? $_['dematpayslipConfigList'] : array());

// alert messages
$htmlAlert = '';
if (!empty($msgList)) {
    if (count($msgList['error'])>0) {
        $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
        foreach ($msgList['error'] as $msg) {
            $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
        }
        $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
        $htmlAlert .= '<span aria-hidden="true">&times;</span>';
        $htmlAlert .= '</a>';
        $htmlAlert .= '</div>';
    }

    if (count($msgList['warning'])>0) {
        $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
        foreach ($msgList['warning'] as $msg) {
            $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
        }
        $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
        $htmlAlert .= '<span aria-hidden="true">&times;</span>';
        $htmlAlert .= '</a>';
        $htmlAlert .= '</div>';
    }

    if (count($msgList['success'])>0) {
        $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
        foreach ($msgList['success'] as $msg) {
            $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
        }
        $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
        $htmlAlert .= '<span aria-hidden="true">&times;</span>';
        $htmlAlert .= '</a>';
        $htmlAlert .= '</div>';
    }
}

style('dematpayslip', 'admin');
script('dematpayslip', 'admin');

?>
<div id="dematpayslip" class="section">
    <h2><?php p($l->t('Dématérialisation des bulletins de paie')); ?></h2>
    <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>

    <form name=dematpayslip_admin" method="get">
        <fieldset>
            <legend class="dematpayslip_legend"><b><?php p($l->t('Configuration')); ?></b></legend>
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
            <input type="hidden" name="action" value="payslips_config">
            <div class="form-group row">
                <div class="col-md-6">
                    <label for="dematpayslip_payslip_dir"><?php p($l->t('Dossier des bulletins')); ?></label> :
                    <input type="text" name="dematpayslip_payslip_dir" value="<?php print $dematpayslipConfigList['payslip_dir']; ?>" />
                </div>
            </div>
            <div class="form-group row">
                <div class="col-md-6">
                    <label for="dematpayslip_user_user_id"><?php p($l->t('Utilisateur')); ?></label> :
                    <input type="text" name="dematpayslip_user_user_id" value="<?php print $dematpayslipConfigList['user_id']; ?>" />
                </div>
            </div>
            <div class="form-group row">
                <div class="col-md-6">
                    <label for="dematpayslip_app_data_dir"><?php p($l->t('Dossier des données de l\'application')); ?></label> :
                    <input type="text" name="dematpayslip_app_data_dir" value="<?php print $dematpayslipConfigList['app_data_dir']; ?>" />
                </div>
            </div>
            <div class="form-group row">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
                </div>
            </div>
        </fieldset>
    </form>
    <br />
    <br />
    <form name=dematpayslip_admin" method="get">
        <fieldset>
            <legend class="dematpayslip_legend"><?php p($l->t('Enlever le partage sur tous les dossiers Matricules')); ?></legend>
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
            <input type="hidden" name="action" value="payslips_unshare">
            <div class="form-group row">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
                </div>
            </div>
        </fieldset>
    </form>
    <br />
    <br />
    <form name=dematpayslip_admin" method="get">
        <fieldset>
            <legend class="dematpayslip_legend"><?php p($l->t('Remettre le partage sur tous les dossiers Matricules')); ?></legend>
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
            <input type="hidden" name="action" value="payslips_reshare">
            <div class="form-group row">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
                </div>
            </div>
        </fieldset>
    </form>
</div>